/*--Taustan väri ja tekstien asettelu*/
body {
    background-color: rgb(210, 200, 180);
    text-align: center;
}
/*yläpalkin asettelu flex-boxilla*/
.top {
    display: flex;
    flex-wrap: wrap;
    text-align: center;
    justify-content: center;
    padding: 10px;
    width: 100%;
}
/*Otsikon asettelu*/
.title {
    background-color: rgb(210, 200, 180);
    color: rgb(110, 100, 90);
    font-family: Impact;
    text-align: center;
    font-size: 50px;
    text-shadow: 2px 2px rgb(60, 60, 50);
}

.container {
    display: flex;
    flex-direction: column;
    background-color: rgb(231, 221, 201);
    font-family: Impact;
    font-size: 25px;
    padding: 0;
    margin: 0;
}

.navblock {
    display: flex;
    flex-direction: column;
    list-style-type: none;
}

.buttons {
    text-align: center;
    background-color: rgb(231, 221, 201);
    padding: 10px;
    text-shadow: 2px 10px rgba(175, 167, 155, 0.489);
    margin-right: 10px;
}

.button {
    text-decoration: none;
    margin: 0px 10px 0px 0px;
}

a.button:link {
    display: block;
    color: rgb(110, 100, 90);
    text-align: center;
    padding: 10px;
    line-height: 20px;
}

a.button:visited {
    display: block;
    color: rgb(110, 100, 90);
    text-align: center;
    padding: 10px;
    line-height: 20px;
}

a.button:hover {
    display: block;
    background-color: rgb(210, 200, 180);
    color: rgb(110, 100, 90);
    font-size: 28px;
    line-height: 20px;
}

a.button:active {
    display: block;
    color: rgb(110, 100, 90);
    text-align: center;
    padding: 10px;
    line-height: 20px;
}

.trailer {
    display: grid;
    grid-template-columns: 1fr;
    grid-template-rows: 1fr;
    gap: 10px;
    margin-right: 0px;
    margin-left: 0px;
}

iframe {
    width: 100%;
    height: 315;
}

.box {
    display: flex;
    flex-direction: column;
    margin: 5px;
}

.photogallery {
    display: grid;
    grid-template-columns: 1fr;
    grid-template-rows: 1fr;
    gap: 10px;
    margin-right: 0px;
    margin-left: 0px;
}

.galleryphotos {
    width: 100%;
    height: auto;
}

.collabimage {
    width: 100%;
    height: auto;
}

.collab {
    display: grid;
    grid-template-columns: 1fr 1fr;
    grid-template-rows: 1fr;
    justify-content: space-around;
    margin: auto;
    padding-bottom: 10px;
}

p {
    font-size: 20px;
    padding: 10px;
}

.images {
    max-width: 100%;
    height: auto;
}

.feli {
    width: 100%;
    height: auto;
}

.grid-container-tiimi {
    display: grid;
    grid-template-columns: 1fr;
    grid-template-rows: 1fr;
    gap: 10px;
    margin-right: 0px;
    margin-left: 0px;
    font-size: 25px;
    color: rgb(0, 0, 0);
    font-weight: bold;
}

.grid-container-tiimi div {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.grid-container-tiimi img {
    max-width: 100%;
    margin: 10px;
}

.grid-container-tiimi p {
    margin: 5px;
    font-size: 25px;
}

a.privacy:link {
    display: block;
    color: rgb(0, 0, 0);
    text-decoration: none;
    text-align: center;
    padding: 10px;
    line-height: 20px;
    background-color: rgb(180, 169, 150);
}

a.privacy:visited {
    display: block;
    color: rgb(0, 0, 0);
}

a.privacy:hover {
    display: block;
    background-color: rgb(184, 174, 155);
}

a.privacy:active {
    display: block;
    color: rgb(0, 0, 0);
}

@media only screen and (min-width: 700px) {
    .grid-container-tiimi {
        display: grid;
        grid-template-columns: repeat(4, 1fr);
        grid-template-rows: 1fr;
        gap: 10px;
        margin-right: 0px;
        margin-left: 0px;
        font-size: 30px;
        color: rgb(0, 0, 0);
        font-weight: bold;
    }

    .grid-container-tiimi img {
        width: 200px;
    }

    .grid-container-tiimi p {
        font-size: 30px;
    }

    .navblock {
        flex-direction: row;
        align-items: center;
        justify-content: center;
    }

    .buttons {
        padding: 0px 30px;
    }

    .feli {
        display: block;
        margin-left: auto;
        margin-right: auto;
        width: 50%;
    }

    .images {
        display: inline-block;
        width: 50%;
        height: auto;
    }

    iframe {
        width: 560px;
        height: 315px;
    }

    .box {
        margin: 0px 10%;
    }

    .photogallery {
        display: grid;
        grid-template-columns: repeat(2, 1fr);
        grid-template-rows: 1fr;
        gap: 10px;
        margin-right: 50px;
        margin-left: 50px;
        font-size: 30px;
        color: rgb(0, 0, 0);
        font-weight: bold;
    }

    .collab {
        display: grid;
        grid-template-columns: 200px 200px;
        grid-template-rows: auto;
        gap: 0px;
        padding-bottom: 10px;
    }

    .collabimage {
        width: 100%;
        height: auto;
    }

    .trailer {
        display: grid;
        grid-template-columns: 1fr 1fr;
        grid-template-rows: 1fr;
        justify-content: space-around;
        margin: auto;
        padding-bottom: 10px;
    }
}